[arch-commits] Commit in numactl/repos/extra-x86_64 (PKGBUILD PKGBUILD)

David Runge dvzrv at archlinux.org
Wed Apr 8 17:42:50 UTC 2020


    Date: Wednesday, April 8, 2020 @ 17:42:49
  Author: dvzrv
Revision: 379858

archrelease: copy trunk to extra-x86_64

Added:
  numactl/repos/extra-x86_64/PKGBUILD
    (from rev 379857, numactl/trunk/PKGBUILD)
Deleted:
  numactl/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   78 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 39 insertions(+), 39 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2020-04-08 17:42:40 UTC (rev 379857)
+++ PKGBUILD	2020-04-08 17:42:49 UTC (rev 379858)
@@ -1,39 +0,0 @@
-# Maintainer: David Runge <dvzrv at archlinux.org>
-# Contributor: Dan McGee <dan at archlinux.org>
-# Contributor: Florian Zeitz <florob at babelmonkeys dot de>
-
-pkgname=numactl
-pkgver=2.0.13
-pkgrel=2
-pkgdesc="Simple NUMA policy support"
-arch=('x86_64')
-url="http://oss.sgi.com/projects/libnuma/"
-license=('LGPL2.1' 'GPL2')
-depends=('perl')
-provides=('libnuma.so')
-source=("https://github.com/numactl/numactl/releases/download/v${pkgver}/${pkgname}-${pkgver}.tar.gz")
-sha512sums=('f7b747eb8f3ded9f3661cb0fc7b65b5ed490677f881f8fe6a000baf714747515853b4e5c8781b014241180bf16e9f0bfdf2c6f758725e34b4938696ba496b72a')
-
-prepare(){
-  cd "${pkgname}-${pkgver}"
-  autoreconf -vfi
-}
-
-build() {
-  cd "${pkgname}-${pkgver}"
-  ./configure --prefix=/usr
-  make
-}
-
-check() {
-  cd "${pkgname}-${pkgver}"
-  make -k test || echo "Tests known to fail depending on system load."
-}
-
-package() {
-  cd "${pkgname}-${pkgver}"
-  make DESTDIR="$pkgdir" install
-  # move_pages(2) is provided by man-pages and is more up-to-date there anyway
-  rm -rf "$pkgdir/usr/share/man/man2"
-  install -vDm 644 README.md -t "${pkgdir}/usr/share/doc/${pkgname}"
-}

Copied: numactl/repos/extra-x86_64/PKGBUILD (from rev 379857, numactl/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2020-04-08 17:42:49 UTC (rev 379858)
@@ -0,0 +1,39 @@
+# Maintainer: David Runge <dvzrv at archlinux.org>
+# Contributor: Dan McGee <dan at archlinux.org>
+# Contributor: Florian Zeitz <florob at babelmonkeys dot de>
+
+pkgname=numactl
+pkgver=2.0.13
+pkgrel=3
+pkgdesc="Simple NUMA policy support"
+arch=('x86_64')
+url="http://oss.sgi.com/projects/libnuma/"
+license=('LGPL2.1' 'GPL2')
+depends=('glibc')
+provides=('libnuma.so')
+source=("https://github.com/numactl/numactl/releases/download/v${pkgver}/${pkgname}-${pkgver}.tar.gz")
+sha512sums=('f7b747eb8f3ded9f3661cb0fc7b65b5ed490677f881f8fe6a000baf714747515853b4e5c8781b014241180bf16e9f0bfdf2c6f758725e34b4938696ba496b72a')
+
+prepare(){
+  cd "${pkgname}-${pkgver}"
+  autoreconf -vfi
+}
+
+build() {
+  cd "${pkgname}-${pkgver}"
+  ./configure --prefix=/usr
+  make
+}
+
+check() {
+  cd "${pkgname}-${pkgver}"
+  make -k test || echo "Tests known to fail depending on system load."
+}
+
+package() {
+  cd "${pkgname}-${pkgver}"
+  make DESTDIR="$pkgdir" install
+  # move_pages(2) is provided by man-pages and is more up-to-date there anyway
+  rm -rf "$pkgdir/usr/share/man/man2"
+  install -vDm 644 README.md -t "${pkgdir}/usr/share/doc/${pkgname}"
+}


More information about the arch-commits mailing list